Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class SynclogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.SynclogEntry

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class SynclogEntry extends IdContractId
Запись в логе обмена с сервером.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynclogEntry()`
  `SynclogEntry(long number, int ucid, String operation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getContractTitleComment()`
  `Date`
  `getDate()`
  `long`
  `getNumber()`
  `String`
  `getOperation()`
  `int`
  `getUsercardId()`
  `boolean`
  `isSuccess()`
  `void`
  `setComment(String comment)`
  `SynclogEntry`
  `setContractId(int contractId)`
  `void`
  `setContractTitleComment(String contractTitleComment)`
  `void`
  `setDate(Date dt)`
  `void`
  `setNumber(long number)`
  `void`
  `setOperation(String operation)`
  `void`
  `setStatus(boolean success, String message, String loginfo, Throwable t)`
  `void`
  `setSuccess(boolean success)`
  `void`
  `setUsercardId(int ucid)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SynclogEntry

    public SynclogEntry()

  - ### SynclogEntry

    public SynclogEntry(long number, int ucid, String operation)

- ## Method Details

  - ### setStatus

    public void setStatus(boolean success, String message, String loginfo, Throwable t)

  - ### getNumber

    public long getNumber()

  - ### setNumber

    public void setNumber(long number)

  - ### getUsercardId

    public int getUsercardId()

  - ### setUsercardId

    public void setUsercardId(int ucid)

  - ### getOperation

    public String getOperation()

  - ### setOperation

    public void setOperation(String operation)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date dt)

  - ### isSuccess

    public boolean isSuccess()

  - ### setSuccess

    public void setSuccess(boolean success)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getContractTitleComment

    public String getContractTitleComment()

  - ### setContractTitleComment

    public void setContractTitleComment(String contractTitleComment)

  - ### setContractId

    public SynclogEntry setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`